package geometrie;
/**
 * Couple est la classe qui implément les paires de réel.
 * 
 * Cette classe propose que quelques méthodes basiques concernant les
 * les couples de réels.
 */

public class Couple {
	protected double x;
	protected double y;

	/**
	 * Constructeur de la classe.
	 *
	 * Il construit un couples à partir de ses coordonnées.
	 *
	 * @param x première coordonnée du couple.
	 * @param y deuxième coordonnée du couple.
	 */
	public Couple(double x, double y){
		this.x = x;
		this.y = y;
	}

	/**
	 * Constructeur par recopie.
	 *
	 * @param c Le couple à recopier.
	 */
	public Couple( Couple c ){
		this.x = c.x;
		this.y = c.y;
	}

	/**
	 * Modie la première coordonée du couple.
	 *
	 * @param x La nouvelle valeur de la première coordonée.
	 */
	public void setX( double x ){
		this.x = x;
	}

	/**
	 * Modie la seconde coordonée du couple.
	 *
	 * @param y La nouvelle valeur de la seconde coordonée.
	 */
	public void setY( double y){
		this.y = y;
	}

	/**
	 * Renvoie le contenu de la première coordonée du couple.
	 *
	 * @return Le contenu de la première coordonée du couple.
	 */
	public double getX(){
		return this.x;
	}

	/**
	 * Renvoie le contenu de la seconde coordonée du couple.
	 *
	 * @return Le contenu de la seconde coordonée du couple.
	 */
	public double getY(){
		return this.y;
	}

	/**
	 * Réalise l'addition en place.
	 *
	 * @param c Le couple qu'il faut ajouter à l'objet.
	 */
	public void rPlus( Couple c ){
		this.x += c.x;
		this.y += c.y;
	}

	/**
	 * Réalise la soustraction en place.
	 *
	 * @param c Le couple qu'il faut soustraire à l'objet.
	 */
	public void rMoins( Couple c ){
		this.x -= c.x;
		this.y -= c.y;
	}
}
