package geometrie;

/**
 * Spécification des méthodes que doivent implémenter les figures géométrique.
 *
 * Une figure géométrique est un ensemble de point.
 * Toute figure géométrique doit implémenter la fonction isInside qui permett
 * de savoir si un point du plan appartient à la figure.
 */
public interface FigureGeometrique {
	/**
	 * Les méthodes implémentants cette fonction doivent vérifier si le point passé en paramètre appartient à la figure ou non.
	 *
	 * @param p Le point à tester
	 * @return Vraie Si le point appartient à la figure, faux sinon.
	 */
	public boolean isInside(Point p);
}
