package geometrie;
/**
 * Triangle est la calsse qui implémente les triangles.
 *
 * Les triangles sont des figures gémoétriques possèdant trois points
 * uniquement.
 */
import java.util.*;
public class Triangle extends PolygoneConvexe {

	/**
	 * Renvoie la liste des sommets de la frontière du triangle.
	 * 
	 * @param p1 Le premier sommet du traingel.
	 * @param p2 Le deuxième sommet du triangle.
	 * @param p3 La troisième sommet du triangle.
	 * @return La liste des sommets codant la frontière du triangle.
	 */	
	static private List<Point> getList( Point p1, Point p2, Point p3 ){
		List<Point> sommets = new LinkedList<Point>();
		sommets.add( p1 );
		sommets.add( p2 );
		sommets.add( p3 );
		return sommets;
	}

	/**
	 * Constructeur de la classe
	 * 
	 * @param p1 Le premier sommet du traingel.
	 * @param p2 Le deuxième sommet du triangle.
	 * @param p3 La troisième sommet du triangle.
	 */	
	public Triangle( Point p1, Point p2, Point p3 ){
		super( getList(p1, p2, p3) );
	}
	
	/**
	 * Constructeur par recopie.
	 * 
	 * @param triangle Le triangle à recopier.
	 */	
	public Triangle( Triangle triangle ){
		super( triangle.sommets );
	}
}
